Bug 720704 - Assigning negative number to unsigned variable
Summary: Assigning negative number to unsigned variable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: net-snmp
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Jan Safranek
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
: 767148 (view as bug list)
Depends On:
Blocks: 868176
TreeView+ depends on / blocked
 
Reported: 2011-07-12 14:43 UTC by Michal Luscon
Modified: 2018-11-29 20:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The snmpd daemon did not properly check result of reading from a network socket in SMUX module. The snmpd daemon could miss some network errors this way and thus couldn't close these erroneous SMUX sessions. With this update, snmpd properly checks for errors when reading from SMUX socket and reacts to them properly.
Clone Of:
Environment:
Last Closed: 2011-12-06 17:12:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1524 0 normal SHIPPED_LIVE net-snmp bug fix update 2011-12-06 01:02:35 UTC

Description Michal Luscon 2011-07-12 14:43:03 UTC
Description of problem:

net-snmp-5.5/agent/mibgroup/smux/smux.c:1396 - Function recvfrom returns a negative number to unsigned variable length (size_t). 

Version-Release number of selected component (if applicable):
5.5-31.3

Additional info:
This defect was probably introduced by Red Hat patches.

Comment 3 Jan Safranek 2011-08-01 11:59:49 UTC
I've fixed it upstream, commit ID 40125d8539cd89f952fbc24588c5e81e9cd821fe.

Comment 4 Jan Safranek 2011-08-11 12:19:55 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The snmpd daemon did not properly check result of reading from a network socket in SMUX module. The snmpd daemon could miss some network errors this way and thus couldn't close these erroneous SMUX sessions. With this update, snmpd properly checks for errors when reading from SMUX socket and reacts to them properly.

Comment 7 errata-xmlrpc 2011-12-06 17:12:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1524.html

Comment 8 Jan Safranek 2011-12-13 12:46:07 UTC
*** Bug 767148 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.